[P038]Market Indicators

get
https://connect.patsnap.com/patent-valuation-data/market_indicators
Try in Sandbox

Receive patent market valuation score data by patent_id or patent_number. This includes patent type, family size, family authority count, patent cites count, examiner cites count, and reference cites count.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
stringc3efa1e6-a2c3-4502-b5e7-97fcf570cfd3
patent_id
patent_number
stringUS5012236A
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patsnap_market_value
objectPlease check the form: MarketValue
market indicators
cites_no
integer<int32>5
Patent cites count
family_size
integer<int32>2
Family size
patent_type
stringPATENT
Patent type:

APPLICATION,PATENT,UTILITY,DESIGN

reference_no
integer<int32>1
Reference cites count
examiner_cites_no
integer<int32>3
Patent examiner cites count
family_covered_country_no
integer<int32>1
Family covered authority count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patsnap_market_value": {
        "cites_no": 5,
        "family_size": 2,
        "patent_type": "PATENT",
        "reference_no": 1,
        "examiner_cites_no": 3,
        "family_covered_country_no": 1
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found